package com.qs.mp.admin.service;

import com.qs.mp.admin.domain.TicketBox;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.param.TicketBoxCreateParam;

/**
 * <p>
 * 盲票组 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface ITicketBoxService extends IService<TicketBox> {

  /**
   * 创建票组
   * @param param
   * @return
   */
  String createTicketBox(TicketBoxCreateParam param);

  /**
   * 生成盲票
   * @param boxId
   */
  void generateTicket(String boxId);

  /**
   * 删除票组
   * @param boxId
   */
  void removeTicketBox(String boxId);
}
