package com.qs.mp.user.domain.vo;

import com.qs.mp.user.domain.UserDeliverOrderItem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 用户提货订单物流信息
 * @Date 2022/3/17
 */
@Data
@ApiModel("用户提货订单项VO")
public class UserDeliverOrderItemVO  extends UserDeliverOrderItem {

	  // 物流公司名称
	@ApiModelProperty("物流公司名称")
	  private  String companyName;

	  /**
	   * 公司主页
	   */
	  @ApiModelProperty("公司主页")
	  private String companyHomeUrl;

	  /**
	   * 物流查询接口
	   */
	  @ApiModelProperty("物流查询接口")
	  private String queryUrl;
}
