package com.qs.mp.channel.domain.excel;

import com.qs.mp.common.annotation.Excel;
import java.util.Date;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
public class ChannelOrderExcel {

	@Excel(name = "盲票组名称")
	private String title;

	@Excel(name = "盲票包数量")
	private Integer orderNum;

	@Excel(name = "盲票序列号范围")
	private String snRrange;

	@Excel(name = "下单时间")
	private Date createdTime;
	
	/**
	 * 订单状态 >=1 已发货
	 */
	@Excel(name = "发货状态")
	private String itemStatus;
	

	@Excel(name = "订单编号")
	private String orderId;
	
	/**
	 * 订单状态
	 */
	@Excel(name = "订单状态")
	private String status;
	
	@Excel(name = "经销商名称")
	private String channelName;
	
	@Excel(name = "经销商上级渠道名称")
	private String parentName;  // 上级渠道名称

	/**
	 * 收货人
	 */
	@Excel(name = "收货人")
	private String receiver;

	/**
	 * 收货人电话
	 */
	@Excel(name = "联系电话")
	private String tel;

	/**
	 * （省-市-区-详细地址）
	 */
	@Excel(name = "收货地址")
	private String address;

}
