package com.qs.mp.channel.domain.vo;

import com.qs.mp.channel.domain.Channel;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/1
 */
@Data
public class ChannelVO extends Channel {
  long siteCnt;   // 经销网点数
  long userCnt;   // 用户数
  
  String parentName; // 上级渠道名称
  
  long orderCnt;   // 订单数
  int childCnt;  // 子渠道数量
  ChannelOperDataVO operData;  // 经营数据
  // SysUser sysUser;  // 关联的用户账号信息
  
  String parentsName; // 所有上级渠道名称 eg: 一级渠道 > 上N级渠道 ** > 上级渠道
  
  long offLineQtyCnt; // 线下库存（盲票张数）
  long offLineSaleCnt; // 线下销售（线下盲票销售张数）
  long onLineSaleCnt; // 线上销售（显示盲票销售张数）
  
  
}
