package com.qs.mp.user.service;

import com.qs.mp.user.domain.UserExchangeOrder;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户盲豆兑换订单 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface IUserExchangeOrderService extends IService<UserExchangeOrder> {

  /**
   * 兑换
   * @param goodsId
   * @param skuId
   * @param orderNum
   * @return 余额不足返回false，其他抛异常
   */
  boolean exchange(Long userId, Long goodsId, Long skuId, int orderNum);
}
